function TauntWatchPetsFrame_OnLoad()

if TWPConfig == nil then
	TWPConfig = {
		["Reports"] = 'ON'
	}
end

SlashCmdList["TWPHANDLER"] = twphandler;
	SLASH_TWPHANDLER1 = "/twp"

TauntWatchPetsFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[TauntWatch - Pets]|r v" .. GetAddOnMetadata("Alices-TauntWatch-pets", "Version") .. " loaded. Use |cFF00FFFF/twp rep|r to disable all reports.");
TauntWatchPetsFrame:Hide();

end

function TauntWatchPetsFrame_OnEvent(event, ...)

if TWPConfig.Reports == "OFF" then
	return
else
	local timestamp, ttype, hideCaster, sourceGUID, sourceName, sourceFlags, sourceRaidFlags, destGUID, destName, destFlags, destRaidFlags, spellid, spellname, spellschool, b_or_d = select(1, ...);
	--local TYP = tonumber(sourceGUID:sub(5,5), 16);
	--local maskedTYP = TYP % 8;
	local knownTypes = {[0]="player", [3]="NPC", [4]="pet", [5]="vehicle"};
	
	local lang = GetDefaultLanguage("player")
	local inInstanceGroup = IsInGroup(LE_PARTY_CATEGORY_INSTANCE)
	local inRaid = IsInRaid()

	if (ttype == "SPELL_CAST_SUCCESS") and (spellid == 2649) or (spellid == 53477) or (spellid == 17735) or (spellid == 63900) then
	-- Growl, Taunt, Suffering and Thunderstomp
		if inInstanceGroup then
			SendChatMessage("<TauntWatch - Pets> " .. sourceName .. " used " .. GetSpellLink(spellid) .. " on " .. destName .. ".", "INSTANCE_CHAT",lang)
		elseif IsInGroup() then
			if inRaid == true then
				SendChatMessage("<TauntWatch - Pets> " .. sourceName .. " used " .. GetSpellLink(spellid) .. " on " .. destName .. ".", "RAID",lang)
			elseif inRaid == false then
				SendChatMessage("<TauntWatch - Pets> " .. sourceName .. " used " .. GetSpellLink(spellid) .. " on " .. destName .. ".", "PARTY",lang)
			end
		end
	end
end

end

function twphandler(msg, editbox)

if msg == "rep" then

	if TWPConfig.Reports == "ON" then
		TWPConfig.Reports = 'OFF'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[TauntWatch - Pets]|r Reports have been turned |cFFFF0000off|r.")
	elseif TWPConfig.Reports == "OFF" then
		TWPConfig.Reports = 'ON'
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[TauntWatch - Pets]|r Reports have been turned |cFF00FF00on|r.")
	end

else
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00[TauntWatch - Pets]|r Please use one of the following arguments: rep")
end

end